Clear Environment cache.
post/midgard/v0.1/environment/{environmentId}/clear-cache
Clear Environment CDN cache. Currently, only Cloudflare is supported. You may optionally restrict the operation by tags, domain names, or path prefixes.
Request
Authorization
X-AT
header
apiKey
Path Parameters
environmentId
integer
REQUIRED
Body
application/json
tagsOptional list of cache tags to clear. Any assets served with a Cache-Tag header that matches one of the provided values will be purged from the cache.
array string[]
domainNamesOptional list of domain names. Any assets at URLs with a domain name that matches one of the provided values will be purged from the cache.
array string[]
prefixesOptional list of prefixes. Any assets at URLs that match the prefix will be purged from the cache. For example, /b will purge /b/c/d.png but not /bc.png. The prefixes /b and /b/c are redundant.
array string[]
Response
200Cache clear triggered successfully.
403Access denied.
404Environment not found.
422Validation error while clearing cache.
Shell cURL
shell
Show schema
json